<?xml version="1.0" encoding="UTF-8"?>

<!--
 Copyright 2004-2005 Sun Microsystems, Inc.  All rights reserved.
 Use is subject to license terms.
-->

<web-app version="2.4" xmlns="http://java.sun.com/xml/ns/j2ee" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://java.sun.com/xml/ns/j2ee http://java.sun.com/xml/ns/j2ee/web-app_2_4.xsd">
        <display-name>Via Lactea. Query FITS datacubes.</display-name>
        <distributable/>



        <filter>
                <filter-name>TokenFilter</filter-name>
                <filter-class>it.inaf.ia2.aa.TokenFilter</filter-class>
        </filter>

        <filter-mapping>
                <filter-name>TokenFilter</filter-name>
                <url-pattern>/*</url-pattern>
        </filter-mapping>

        <filter>
                <filter-name>AuthZFilter</filter-name>
                <filter-class>AuthZFilter</filter-class>
        </filter>
        <filter-mapping>
                <filter-name>AuthZFilter</filter-name>
                <url-pattern>/*</url-pattern>
        </filter-mapping>




        <servlet>
                <servlet-name>default</servlet-name>
                <servlet-class>
                        org.apache.catalina.servlets.DefaultServlet
                </servlet-class>
                <init-param>
                        <param-name>debug</param-name>
                        <param-value>0</param-value>
                </init-param>
                <init-param>
                        <param-name>listings</param-name>
                        <param-value>false</param-value>
                </init-param>
                <load-on-startup>1</load-on-startup>
        </servlet>
        <servlet-mapping>
                <servlet-name>default</servlet-name>
                <url-pattern>/</url-pattern>
        </servlet-mapping>









        <servlet>
                <servlet-name>vlkb_vosi_availability</servlet-name>
                <servlet-class>VlkbServletFile</servlet-class>
        </servlet>
        <servlet-mapping>
                <servlet-name>vlkb_vosi_availability</servlet-name>
                <url-pattern>/availability</url-pattern>
        </servlet-mapping>

        <servlet>
                <servlet-name>vlkb_vosi_capabilities</servlet-name>
                <servlet-class>VlkbServletFile</servlet-class>
        </servlet>
        <servlet-mapping>
                <servlet-name>vlkb_vosi_capabilities</servlet-name>
                <url-pattern>/capabilities</url-pattern>
        </servlet-mapping>


        <servlet>
                <servlet-name>vlkb_soda</servlet-name>
                <servlet-class>ServletCutout</servlet-class>
        </servlet>
        <servlet-mapping>
                <servlet-name>vlkb_soda</servlet-name>
                <url-pattern>/soda</url-pattern>
        </servlet-mapping>

        <servlet>
                <servlet-name>uws_merge</servlet-name>
                <servlet-class>UWSMerge</servlet-class>
                <init-param>
                        <param-name>name</param-name>
                        <param-value>merge</param-value>
                </init-param>
                <init-param>
                        <param-name>rootDirectory</param-name>
                        <param-value>/tmp</param-value>
                </init-param>
        </servlet>
        <servlet-mapping>
                <servlet-name>uws_merge</servlet-name>
                <url-pattern>/uws_merge/*</url-pattern>
        </servlet-mapping>


        <servlet>
                <servlet-name>uws_mcutout</servlet-name>
                <servlet-class>UWSMCutout</servlet-class>
                <init-param>
                        <param-name>name</param-name>
                        <param-value>mcutout</param-value>
                </init-param>
                <init-param>
                        <param-name>rootDirectory</param-name>
                        <param-value>/tmp</param-value>
                </init-param>
        </servlet>
        <servlet-mapping>
                <servlet-name>uws_mcutout</servlet-name>
                <url-pattern>/uws_mcutout/*</url-pattern>
        </servlet-mapping>


</web-app>

